Program GenTab;	{Generuje tabulku ze dvou vstupnich textu}

uses Crt;

const	VelBuf	=	20000;

var
	File1, File2, File3 		:	file;
	Buffer1, Buffer2 			:	array [1..VelBuf] of byte;
	Tabulka						: 	array [0..255] of byte;
	Nacteno, Citac				: 	integer;

procedure Help;
begin
	writeln('                Program GENTAB je doplnkem utility MLATICKA.');
	writeln('           Zadate dva textove soubory a nazev generovane tabulky.');
	writeln('  Po analyze techto dvou souboru vznikne tabulka, ktera provadi tento prevod.');
	writeln('    Napriklad Analyzou souboru v kamenikach a v latin vznikne tabulka pro');
	writeln('                           prevod kamenici - latin.');
	writeln('     Takto muzete mlaticku naucit prevodum, ktere umi jine konvertidla.');
	writeln('                   Program se spousti se tremi parametry.');
	writeln('              Nazvy vstupnich souboru a jmeno vysledne tabulky');
	writeln;
	writeln('Napr. GENTAB.EXE kamenici.txt latin2.txt KAM2LAT.TAB');
	Halt;
end;

procedure Banner;
begin
   writeln;
   TextColor (Yellow);
   writeln('                        GENTAB 1.0  (c)1996  2P ');
   TextColor (LightBlue);
   writeln('                            Genrator tabulek');
   TextColor (LightGray);
   writeln;
end;


procedure Analyza;
begin
	for Citac := 1 to Nacteno do
		Tabulka[Buffer1[Citac]] := Buffer2[Citac];
end;

begin
	clrscr;
	Banner;
	if ParamCount <> 3 then
		Help;
	assign (File1, ParamStr (1));
	assign (File2, ParamStr (2));
	assign (File3, ParamStr (3));
	reset (File1, 1);
	reset (File2, 1);
	for Citac := 0 to 255 do
		Tabulka [Citac] := Citac;
	Repeat
		blockread (File1, Buffer1, SizeOf(Buffer1), Nacteno);
		blockread (File2, Buffer2, SizeOf(Buffer2), Nacteno);
		Analyza;
	until Nacteno <> VelBuf;
	close (File1);
	close (File2);
	rewrite (File3, 1);
	blockwrite (File3, Tabulka, sizeof(Tabulka));
	close (File3);
end.